#include "mbed.h"
Serial pc(USBTX, USBRX);
PwmOut sens1(D10);
PwmOut sens2(D9);
DigitalIn voieB(D14);
DigitalIn voieA(D15);
AnalogIn signal(A0);
DigitalIn my_bp(USER_BUTTON);
Ticker toggle_ticker;
void toggle(void);
double meas;
int old_bp, new_bp;

int main() {
    meas=signal.read();
    sens1.period_ms(10);
    sens2.period_ms(10);
    sens1.write(0.1);
    sens2.write(0);
    toggle_ticker.attach(&toggle, 0.001);

    while(1){
    }

}

void toggle(){
meas=signal.read();
pc.printf("%lf",meas);
new_bp = my_bp;
if((old_bp != new_bp) && (new_bp == 1)){    // front montant
    if ((sens1 == 0) && (sens2 != 0)){
        sens2.write(0);
        sens1.write(meas);
        }
    else if ((sens1 != 0) && (sens2 == 0)){
        sens1.write(0);
        sens2.write(meas);
        }
}
old_bp = new_bp;
}
