#include "mbed.h"
Serial pc(USBTX, USBRX);

Ticker emission; // Déclaration du ticker
void envoi(void);  // Déclaration de la fonction d'interruption du ticker
void recoi(void);


float Temp[20]; //Tableau de 20 valeurs de température pour 10 min
float Humi[20]; //Tableau de 20 valeurs d'humidité pour 10 min
float Dist[10]; //Instructions en distance
float Angl[10]; //Instructions en angle
float Mix[20];
int i;

int main(){
    pc.baud(115200);
    for (i=0 ; i< 10 ; i++){ //Initialisation des valeurs à 0
            Dist[i] = 0;
            Angl[i] = 0;}
    for (i=0 ; i< 20 ; i++){ //Initialisation des valeurs à 0
            Mix[i] = 0; }
    emission.attach(&envoi, 600); //envoi des données T et H toutes les 10 min
    pc.attach(&recoi); //réception des commandes Angles et Distances (réception par interruption)
    while(1) { }
}

void envoi() {       // Fonction d'interruption du ticker       
    for (i=0; i<19; i++){
        pc.printf("%lf\t%lf\r\n", Temp[i], Humi[i]); }
    }

void recoi() {
    //sscanf(pc.gets(),"%lf\t%lf\r\n", &Dist[9], &Angl[9]);
    pc.scanf("%lf\t%lf\r\n", &Dist[9], &Angl[9]);
    for (i=0; i<9; i++){
        Dist[i]=Dist[i+1];
        Angl[i]=Angl[i+1];}
    for (i=0; i<18; i++){
        Mix[i]=Mix[i+2];}
    Mix[18]=Dist[9];
    Mix[19]=Angl[9];
}
