#include "mbed.h"

AnalogIn analog_in(A0);
PwmOut moteur_cc1(D10);
PwmOut moteur_cc2(D9);
DigitalOut led(LED1);
InterruptIn mybutton(USER_BUTTON); // Déclaration de l'interruption



    void pressed(void);                // Déclaration de la fonction d'interruption 1


    int delay = 1000000;             // 1 sec ou 10^6 us
    int c = 0;
    double rc=1;
    double meas, tension;


    void pressed(){                    // fonction d'interruption 1
            if (c==0) {c=1;
            led=1;}
            else {c=0;
            led=0;}
            wait_us(delay);
    }



    int main(){
        mybutton.fall(&pressed);       // association de l'interruption 1 a un front descendant sur l'entree USER_BUTTON



    moteur_cc1.period_ms(10);
    moteur_cc2.period_ms(10);
    moteur_cc1.write(0);
    moteur_cc2.write(0);

    led=1;



        while(1) {
            meas = analog_in.read(); // Convertit et lit la tension d'entée analogique (valeur entre 0.0 et 1.0)
            rc=meas;

         if (c==0) {
            moteur_cc2.write(0);
            moteur_cc1.write(rc);
        }
         else {
            moteur_cc1.write(0);
            moteur_cc2.write(rc);
        }
    }
    }
